1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

HowTo Push Nachrichten aufs Handy

Dieses Thema im Forum "CS Root & Vserver" wurde erstellt von Brainbug01, 9. Januar 2014.

  1. Brainbug01
    Offline

    Brainbug01 Board Guru

    Registriert:
    26. Februar 2013
    Beiträge:
    1.486
    Zustimmungen:
    831
    Punkte für Erfolge:
    113
    Push Nachrichten aufs Handy

    Auf der Seite von

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?

    kann ein neuer Account erstellt werden. Neben der Angabe der eigenen Email-Adresse wird noch ein Passwort benötigt. Daraufhin erhält man einen Bestätigungslink per Email gesendet, mit welchem man seine Daten verifiziert. Im Browser sieht man nun unter "Your User Key" den persönlichen Schlüssel, welcher später benötigt wird. Unter Your Applications kann nur mit Create eine neue "Anwendung" erstellt werden. Hier kann einen Namen vergeben und evtl. noch ein Icon, welches später auch in der App angezeigt wird. Als Type habe ich Plugin gewählt, URL: nichts eintragen. Nach einem Klick auf "Create Application" kann der "API Token/Key" der eben erstellten Anwendung eingesehen werden. Dieser wird später ebenfalls benötigt.Jetzt benötigt man noch die kostenpflichtige

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?

    bzw. die

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?



    Man lädt die APP auf sein Handy und loggt sich ein und vergibt einen device Namen welcher später wieder benötigt wird beim versenden der Nachricht.

    Am Receiver muss man dafür curl installieren:

    Code:
    opkg update
    opkg install curl
    
    Ab hier geht's per SSH / Putty weiter.
    Nun benötigt man eine Datei pushover.sh:

    Code:
    #!/bin/bash
    
    
    # Default config vars
    CURL="$(which curl)"
    PUSHOVER_URL="https://api.pushover.net/1/messages"
    TOKEN="" # Must be set in pushover.conf or given on command line
    USER="" # Must be set in pushover.conf
    
    
    # Load user config
    CONFIG_FILE="${XDG_CONFIG_HOME-${HOME}/.config}/pushover.conf"
    if [ -e "${CONFIG_FILE}" ]; then
        . ${CONFIG_FILE}
    else
        echo "Can't find ${CONFIG_FILE}: You must create it before using this script" >&2
        exit 1
    fi
    
    
    # Functions used elsewhere in this script
    usage() {
        echo "${0}  "
        echo " -d "
        echo " -p "
        echo " -t "
        echo " -T "
        echo " -s "
        echo " -u "
        echo " -a "
        exit 1
    }
    opt_field() {
        field=$1
        shift
        value="${*}"
        if [ ! -z "${value}" ]; then
            echo "-F \"${field}=${value}\""
        fi
    }
    
    
    # Default values for options
    device=""
    priority=""
    title=""
    
    
    # Option parsing
    optstring="d:t:T:s:u:a:h"
    while getopts ${optstring} c; do
        case ${c} in
            d) device="${OPTARG}" ;;
            p) priority="${OPTARG}" ;;
            t) title="${OPTARG}" ;;
            s) sound="${OPTARG}" ;;
            u) url="${OPTARG}" ;;
            a) url_title="${OPTARG}" ;;
            T) TOKEN="${OPTARG}" ;;
            [h\?]) usage ;;
        esac
    done
    shift $((OPTIND-1))
    
    
    # Is there anything left?
    if [ "$#" -lt 1 ]; then
        usage
    fi
    message="$*"
    
    
    # Check for required config variables
    if [ ! -x "${CURL}" ]; then
        echo "CURL is unset, empty, or does not point to curl executable. This script requires curl!" >&2
        exit 1
    fi
    if [ -z "${TOKEN}" ]; then
        echo "TOKEN is unset or empty: Did you create ${CONFIG_FILE}?" >&2
        exit 1
    fi
    if [ -z "${USER}" ]; then
        echo "USER is unset or empty: Did you create ${CONFIG_FILE}?" >&2
        exit 1
    fi
    
    
    curl_cmd="\"${CURL}\" -s \
        -F \"token=${TOKEN}\" \
        -F \"user=${USER}\" \
        -F \"message=${message}\" \
        $(opt_field sound "${sound}") \
        $(opt_field url "${url}") \
        $(opt_field url_title "${url_title}") \
        $(opt_field title "${title}") \
        $(opt_field device "${device}") \
        $(opt_field priority "${priority}") \
        ${PUSHOVER_URL} 2>&1 >/dev/null || echo \"$0: Failed to send message\" >&2"
    eval "${curl_cmd}" 
    
    

    Das Script habe hier gefunden:

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?

    ( welches aktualisiert wird )

    Das Script ausführbar machen:

    Code:
    chmod +x pushover.sh
    Und zusätzlich legt man in seinem home Verzeichnis einen Ordner mit dem Namen .config an.In diesen Ordner muss nun eine Datei pushover.conf mit dem Inhalt:

    Code:
    TOKEN="your application's token here"
    USER="your user key here"
    
    Die zwei Werte TOKEN und USER müsst ihr natürlich mit euren Daten abgleichen und eintragen.

    Nun wird die pushover.sh ausgeführt und mit dem folgenden Befehl ausgestattet:

    Code:
    pushover.sh [-t ] [-d ] [-p ] [-s ] [-u ] [-a ] 
    
    Hier mal ein Beispiel:

    Code:
    /home/user/pushover.sh -t Notify -d Android Dieser Text erscheint in der Nachricht
    Dann kommt in Sekundenschnelle eine Nachricht auf Handy :emoticon-0144-nod:
    Natürlich muss in diesem Fall das device mit dem Namen Android beim ersten anmelden in der APP angegeben werden.

    Vielleicht will das der Ein oder Andere in seinen Watchdog einbauen...

    Es würde mich freuen wenn es jemand erfolgreich umgesetzt hat und sich meldet :emoticon-0111-blush
     
    Zuletzt bearbeitet: 9. Mai 2015
    #1
    lokipoki, DreamHD, lügnix und 6 anderen gefällt das.
  2. phantom

    Nervigen User Advertisement

  3. defjam2oo1
    Offline

    defjam2oo1 Ist oft hier

    Registriert:
    27. Februar 2011
    Beiträge:
    158
    Zustimmungen:
    16
    Punkte für Erfolge:
    18
    AW: Push Nachrichten aufs Handy

    Das hört sich ja echt Interessant an , hat da jemand mitlerweile etwas hinbekommen ? Wenn man das mit dem Watchdog koppeln könnte wäre das eine feine Sachen , ich liebe spielereien :)
     
    #2
    Brainbug01 gefällt das.
  4. Brainbug01
    Offline

    Brainbug01 Board Guru

    Registriert:
    26. Februar 2013
    Beiträge:
    1.486
    Zustimmungen:
    831
    Punkte für Erfolge:
    113
    AW: Push Nachrichten aufs Handy

    Hau rein, du musst ja nur ein paar Zeilen kopieren und einen Account anlegen. Das dauert nur ein paar Minuten und schon meldet sich dein Handy :)
     
    #3
  5. defjam2oo1
    Offline

    defjam2oo1 Ist oft hier

    Registriert:
    27. Februar 2011
    Beiträge:
    158
    Zustimmungen:
    16
    Punkte für Erfolge:
    18
    AW: Push Nachrichten aufs Handy

    Das von dir genannte Beispiel hat aber doch keinen Nutzen oder sehe ich das Falsch ?
     
    #4
  6. Brainbug01
    Offline

    Brainbug01 Board Guru

    Registriert:
    26. Februar 2013
    Beiträge:
    1.486
    Zustimmungen:
    831
    Punkte für Erfolge:
    113
    AW: Push Nachrichten aufs Handy

    Ich lasse meine Log nach bestimmten Texten durchsuchen. Kommt solch ein Text dann werde ich benachrichtigt. Das wollte ich hier aber nicht erklären weil ich kein Linuxprofi bin und mir meine Scripts vielleicht umständlich geschrieben habe. Schlechte Beispiele muss man nicht verbreiten, für mich funktioniert es.
     
    #5
  7. defjam2oo1
    Offline

    defjam2oo1 Ist oft hier

    Registriert:
    27. Februar 2011
    Beiträge:
    158
    Zustimmungen:
    16
    Punkte für Erfolge:
    18
    AW: Push Nachrichten aufs Handy

    Okay , das scheint eine Interessante Sache zu sein , ich benutze als bsp. den Raspberry und dadrüber könnte man es sicherlich auch optimal zum laufen bringen , wenn auch ich nicht so ein Noob in der Materie wäre :)
    Ab einer bestimmten Temparatur oder Abstürze sich Informieren lassen wäre richtig gut.
     
    #6
  8. Brainbug01
    Offline

    Brainbug01 Board Guru

    Registriert:
    26. Februar 2013
    Beiträge:
    1.486
    Zustimmungen:
    831
    Punkte für Erfolge:
    113
    AW: Push Nachrichten aufs Handy

    Aus einem anderen Beispiel hier aus dem Board

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?

    :

    #! /bin/sh
    while sleep 30
    do
    if sudo ps x | grep -v grep | grep -c oscam -b
    then
    echo "oscam is running"
    else
    echo `date` " oscam is not running... restarting !!" >> /var/oscam-watchdog.log
    /home/user/pushover.sh -t Notify -d Android Der Dienst wurde neu gestartet
    /usr/local/bin/oscam -b
    fi
    done

    Und dort kommt ja nur die Zeile rein.
     
    #7
    defjam2oo1 gefällt das.
  9. defjam2oo1
    Offline

    defjam2oo1 Ist oft hier

    Registriert:
    27. Februar 2011
    Beiträge:
    158
    Zustimmungen:
    16
    Punkte für Erfolge:
    18
    AW: Push Nachrichten aufs Handy

    Hab es mal auf dem Xtrend getestet und es hat nicht funktioniert...bekomme beim Befehl

    pushover.sh [-t ] [-d ] [-p ] [-s ] [-u ] [-a ]]

    immer ein

    -sh: ./: Permission denied]

    trotz Rechte 755

    Gesendet via Note II
     
    Zuletzt bearbeitet: 2. April 2014
    #8
  10. Brainbug01
    Offline

    Brainbug01 Board Guru

    Registriert:
    26. Februar 2013
    Beiträge:
    1.486
    Zustimmungen:
    831
    Punkte für Erfolge:
    113
    AW: Push Nachrichten aufs Handy

    Probier mal bitte:

    pushover.sh -t Notify -d Android Dieser Text erscheint in der Nachricht

    und bei -d deine Gerätenamen eintragen anstatt Android!
     
    #9
  11. defjam2oo1
    Offline

    defjam2oo1 Ist oft hier

    Registriert:
    27. Februar 2011
    Beiträge:
    158
    Zustimmungen:
    16
    Punkte für Erfolge:
    18
    AW: Push Nachrichten aufs Handy

    dann kommt

    -sh: pushover.sh: not found


    Also , die pushover.sh in das ROOT Verzeichnis des Receivers ?
    Rechte zum Testen auf 755 setzen
    Den config ordner hab ich ins Home Verzeichnis erstellt und die Datei eingefügt und mit meinen DATEN abgeändert ( Ohne " ) , korrekt soweit ?
     
    #10
  12. Brainbug01
    Offline

    Brainbug01 Board Guru

    Registriert:
    26. Februar 2013
    Beiträge:
    1.486
    Zustimmungen:
    831
    Punkte für Erfolge:
    113
    AW: Push Nachrichten aufs Handy

    Auf meiner Dreambox geht es auch nicht:

    CURL is unset, empty, or does not point to curl executable. This script requires curl!

    Wie man allerdings curl auf einen Receiver installiert bin ich überfragt.

    Wenn du im Verzeichnis stehst wo die pushover.sh liegt dann so:

    ./pushover.sh -t Notify -d Android Dieser Text erscheint in der Nachricht

    und die " gehören in die pushover.conf mit dazu. Probiers doch erst am am Raspberry?
     
    Zuletzt bearbeitet: 2. April 2014
    #11
    defjam2oo1 gefällt das.
  13. defjam2oo1
    Offline

    defjam2oo1 Ist oft hier

    Registriert:
    27. Februar 2011
    Beiträge:
    158
    Zustimmungen:
    16
    Punkte für Erfolge:
    18
    AW: Push Nachrichten aufs Handy

    Im Raspberry funktioniert es :emoticon-0144-nod:

    jetzt also noch im /etc/init.d/watchdog folgendes eingeben ...

    #! /bin/sh
    while sleep 30
    do
    if sudo ps x | grep -v grep | grep -c oscam -b
    then
    echo "oscam is running"
    else
    echo `date` " oscam is not running... restarting !!" >> /var/oscam-watchdog.log
    /home/user/pushover.sh -t Notify -d Android Der Dienst wurde neu gestartet
    /usr/local/bin/oscam -b
    fi
    done


    Da werde ich jetzt nur noch die Pfade ändern müssen , die stimmen mit meinem nicht überein.

     
    Zuletzt bearbeitet: 3. April 2014
    #12
    Brainbug01 gefällt das.
  14. Brainbug01
    Offline

    Brainbug01 Board Guru

    Registriert:
    26. Februar 2013
    Beiträge:
    1.486
    Zustimmungen:
    831
    Punkte für Erfolge:
    113
    AW: Push Nachrichten aufs Handy

    Ja die Pfade musst du natürlich an dein System anpassen, freut mich das nun geht.
     
    #13
  15. defjam2oo1
    Offline

    defjam2oo1 Ist oft hier

    Registriert:
    27. Februar 2011
    Beiträge:
    158
    Zustimmungen:
    16
    Punkte für Erfolge:
    18
    AW: Push Nachrichten aufs Handy

    Hi

    Habe heute mal oscam gekillt , aber ausser das der Watchdog das Oscam neustartete passierte leider nichts :) Kein Push

    habe jetzt die Pfade geändert auf

    while sleep 30
    do
    if sudo ps x | grep -v grep | grep -c oscam -b
    then
    echo "oscam is running"
    else
    echo `date` " oscam is not running... restarting !!" >> /var/log/ipc/OScam-watchdog.log
    /etc/pushover.sh -t Notify -d Android Der Dienst wurde neu gestartet
    /var/emu/oscam/oscam.armel -b

    weisst du ob man da sonst noch was ändern muss ?
     
    #14
  16. Brainbug01
    Offline

    Brainbug01 Board Guru

    Registriert:
    26. Februar 2013
    Beiträge:
    1.486
    Zustimmungen:
    831
    Punkte für Erfolge:
    113
    AW: Push Nachrichten aufs Handy

    Ja bei -d Android muss dein Geräte Name rein. Was hast du angegeben in der APP am Handy.
     
    #15

Diese Seite empfehlen